

''' NOTES: For form to be 
''' TO not allow the user to resize the form set Form.MaximuSize,Form.MinimizeSize  to (width,height) of from
''  To Remove minimize ==> Form.MinimizeBox = false
''  To remove maximize,  ==> Form.MaximizeBox = false
''  To remove close buttons from the title bar set Form property  ==> Form.ControlBox = false

Public Class ITP400_IP1


    ''' <summary>
    ''' private member variables
    ''' </summary>
    ''' <remarks></remarks>
    Private basicRate As Double = 25 'basicRate of electriccity
    Private intermediateRate As Double = 35 ''intermediateRate of electriccity
    Private bestRate As Double = 50 ''bestRate of electriccity


    ''' <summary>
    ''' this calculates subtotal,electric charge,total cost for user selected plan
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>


    Private Sub btnCalculate_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnCalculate.Click

        Dim numberofDays As Integer
        'find out number days by using datediff
        numberofDays = DateDiff(DateInterval.Day, Me.dtpStartDate.Value, Me.dtpEndDate.Value)

        Dim subTotal As Double = 0 'subtotal amount
        Dim total As Double = 0   'total amount
        Dim dailyRate As Double = 0 'daily rate ..it depends on user's selected option either basic,intermdeiate or best

        ''check which option user selected
        If (Me.rbBasic.Checked) Then ''if user select basic radio button option 
            dailyRate = basicRate ''then dailyrate is basic rate
        ElseIf (Me.rbIntermediate.Checked) Then ''if user select intermdiate radio button option
            dailyRate = intermediateRate ''then daily rate is intermediate
        ElseIf (Me.rbBest.Checked) Then ''if user select best radio button option
            dailyRate = bestRate ''then daily rate is best
        End If

        'calcualte subtotal by multiplying dailyrate with number of days
        subTotal = dailyRate * numberofDays

        Dim electricityCharge As Double

        If (Me.cbElectricityReq.Checked) Then ''if user selects electricity required 
            electricityCharge = 10 * numberofDays ''then electricity charge is 10 mulitplied by number of days
        End If

        ''there fore total is equal to subtotal plus elecrtic charge
        total = subTotal + electricityCharge

        ''this function will display the results to user on form
        Me.tbDays.Text = numberofDays
        Me.tbDailyRate.Text = String.Format("{0:c}", dailyRate)
        Me.tbSubtotal.Text = String.Format("{0:c}", subTotal)
        Me.tbTotal.Text = String.Format("{0:c}", total)
        Me.tbElectricitySurcharge.Text = String.Format("{0:c}", electricityCharge)

    End Sub

    ''' <summary>
    ''' when user clicks reset button this resets all controls values
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub btnReset_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnReset.Click

        ''reset all controls
        Me.tbDays.Text = "" ''set number of days to empty
        Me.tbDailyRate.Text = "" ''set DailyRate to empty
        Me.tbSubtotal.Text = "" ''set Subtotal  to empty
        Me.tbTotal.Text = "" ''set Total  to empty
        Me.tbElectricitySurcharge.Text = "" ''set ElectricitySurcharge of days to empty
        Me.dtpEndDate.Value = DateTime.Now.Date  'set end datetime picker to todays date
        Me.dtpStartDate.Value = DateTime.Now.Date 'set start datetime picker to todays date
        Me.cbElectricityReq.Checked = True 'set electricity check button checked
        Me.rbBasic.Checked = False ''set basic button to unselectec
        Me.rbBest.Checked = False ''set best button to unselectec
        Me.rbIntermediate.Checked = False  ''set Intermediate button to unselectec


    End Sub

    ''' <summary>
    ''' closes the application.
    ''' </summary>
    ''' <param name="sender"></param>
    ''' <param name="e"></param>
    ''' <remarks></remarks>
    Private Sub btnExit_Click(ByVal sender As System.Object, ByVal e As System.EventArgs) Handles btnExit.Click

        'ask user whether he wants to exit application
        DialogResult = MessageBox.Show("Do you want to exit application?", "Closing...", MessageBoxButtons.OKCancel, MessageBoxIcon.Question)

        If (DialogResult = Windows.Forms.DialogResult.OK) Then ''if he select OK 
            Me.Close() 'then closes form
        End If
        ''else ..do nothing

    End Sub
    
End Class
